Entwurf FormZeichenfolge

From FreeCAD Documentation
Revision as of 20:58, 13 January 2020 by Maker (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft Point.svg Punkt Vorherige:
Nächste: Flächenbinder Draft Facebinder.svg Arrow-right.svg

Official icon not found Entwurf FormFolge

Menüeintrag
Draft -> FormFolge
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
S S
In der Version eingeführt
-
Siehe auch
Entwurf Text, Part Extrudieren


Beschreibung

Das Werkzeug FormZeichenkette fügt eine Verbundform ein, die eine Zeichenkette darstellt. Die Texthöhe, die Laufweite und die Schriftart können angegeben werden. Die resultierende Form kann mit dem Werkzeug Teil Extrusion verwendet werden, um 3D Buchstaben zu erzeugen.

Um ein einfacheres Textelement ohne geschlossene Form einzufügen, verwende Entwurf Text. Um eine Textbeschriftung mit einem Anfang und einem Pfeil zu erstellen, verwende Entwurf Beschriftung

Draft ShapeString Example400.png

Einfacher Punkt zur Positionierung des Formzeichenfolge erforderlich


Anwendung

Wenn der Entwurf Benutzeroberflächenmodus auf Werkzeugleiste eingestellt ist:

  1. Drücke den Draft ShapeString16.png Entwurf Formfolge oder drücke die Tasten S und dann S.
  2. Klicke auf einen Punkt in der 3D Ansicht, oder gib Koordinate ein und drücke die Taste Draft AddPoint.svg Punkt hinzufügen.
  3. Gib den gewünschten Text ein und drücke Enter.
  4. Gib die gewünschte Größe ein und drücke Enter.
  5. Gib die gewünschte Laufweite ein und drücke Enter.
  6. Drücke Enter, um die angezeigte Schriftartdatei zu übernehmen, oder drücke ..., um eine Schriftartdatei auszuwählen.

SSFontSelect.png

Wenn der Entwurf Benutzeroberflächenmodus auf Aufgabenansicht eingestellt ist:

  1. Drücke den Draft ShapeString16.png Entwurf Formfolge oder drücke die Tasten S und dann S.
  2. Ein Dialogfeld erscheint, in dem Du deine Parameter angeben kannst.
  3. Drücke die Taste OK, um die Formfolge zu erstellen.


  • Der Text, die Größe, die Laufweite und die Schriftart können nach der Erstellung geändert werden, indem die Werte im Eigenschaften Editor modifiziert werden.
  • Du wirst die Standardschriftartdatei in /de|Entwurf Einstellungen, im Register Template:Button/de einstellen wollen. Dadurch wird das Schriftartendateifeld im Dialogfeld ausgefüllt.
  • Zu den unterstützten Schriftarten gehören TrueType (.ttf), OpenType (.otf) und Type 1 (.pfb).

Begrenzungen

  • Sehr kleine Texthöhen können durch Detailverlust bei der Skalierung zu verzerrten Zeichenformen führen.
  • Die aktuelle Version ist auf die von Links nach Rechts Schreiben begrenzt.
  • Um kreisförmig angeordneten Text zu erstellen, verwende den FCCircularTextButtom.png Rundtext.

Optionen

  • Um Koordinaten von Hand einzugeben, gib einfach die Zahlen ein und drücke dann Enter zwischen jeder X-, Y- und Z-Komponente. Du kannst den Draft AddPoint.svg Punkt hinzufügent drücken, wenn Du die gewünschten Werte zum Einfügen des Punktes hast.
  • Drücke die Taste Esc oder die Taste Close, um den aktuellen Befehl abzubrechen.

Eigenschaften

  • Daten-EigenschaftPosition: gibt die Position des Basispunktes der verbundenen Form an.
  • Daten-EigenschaftWinkel: gibt die Rotation der Grundlinie der Form an.
  • Daten-EigenschaftAchse: gibt die Achse an, die für die Rotation verwendet werden soll.
  • Daten-EigenschaftFolge: gibt die anzuzeigende Textzeichenfolge an; im Gegensatz zum Werkzeug Entwurf Text kann das Werkzeug Entwurf FormFolge nur eine einzelne Zeile anzeigen.
  • Daten-EigenschaftGröße: gibt die allgemeine Höhe der Buchstaben an.
  • Daten-EigenschaftLaufweite: gibt den zusätzlichen Abstand zwischen den Zeichen in der Zeichenkette an.
  • Daten-EigenschaftSchriftartdatei: gibt den vollständigen Pfad der Schriftdatei an, die zum Zeichnen der Zeichenkette verwendet wird.

Skripten

Siehe auch: Draft API und FreeCAD Skripten Grundlagen.

Das FormFolge Werkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion benutzt werden:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)

Die Platzierung der FormFolge kann durch Überschreiben seines Placement Attributs oder durch individuelles Überschreiben seiner Placement.Base und Placement.Rotation Attribute geändert werden.

Beispiel:

import FreeCAD, Draft

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)

Tutorien

Anmerkungen

  • Viele Schriften werden problematische Geometrie erzeugen. Das liegt daran, dass sich die Konturen der Schriften überlappen dürfen, kleine Lücken haben und innerhalb eines Glyphen unterschiedliche Richtungen haben. Diese Bedingungen gelten als Fehler in den Drähten, die zur Definition von Faces verwendet werden. Optionen sind die Korrektur der Schriftdefinition mit einem Werkzeug wie FontForge oder die Verwendung einer anderen Schriftart.
Arrow-left.svg Draft Point.svg Punkt Vorherige:
Nächste: Flächenbinder Draft Facebinder.svg Arrow-right.svg